------------------------------------------------------------------------------------
--Name:  	Anniversary1
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-03-30
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(436, 661)
local effect_3 = CppScriptMgr:AddEffect("zsl_zhanshitai", 432, 657, 33, 1, 1, 1)
effect_3:Scale(1.5, 1.5, 1.5)
effect_3:Rotate(-0.2, 0, 0)
local effect_0 = CppScriptMgr:AddEffect("GodRef_sltz_hd", 439, 664, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(980)
local Effect_1 = CppScriptMgr:AddEffect("zf2-e233", 433, 661, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 438, 670, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 442, 660, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(860)
local Player_3 = CppScriptMgr:AddSimplePlayer(1051180, 433, 661, "", 0, 0)
Player_3:SetDir(6)
Player_3:SetZoomPercent(120)
local Player_1 = CppScriptMgr:AddSimplePlayer(1051166, 442, 660, "", 0, 0)
Player_1:SetDir(0)
Player_1:SetZoomPercent(120)
local Player_2 = CppScriptMgr:AddSimplePlayer(1051175, 438, 670, "", 0, 0)
Player_2:SetDir(5)
Player_2:SetZoomPercent(80)
CppScriptMgr:WaitMilSec(540)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(450)
Player_1:SetAction(190)
Player_1:Say("Anniversary Bonfire is ready!", 1500)
CppScriptMgr:WaitMilSec(1220)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(280)
Player_3:Say("Great! I cannot wait!", 1500)
Player_3:SetAction(190)
CppScriptMgr:WaitMilSec(960)
local effect_2 = CppScriptMgr:AddEffect("FF07_1", 442, 668, 33, 1, 1, 1)
effect_2:Scale(1, 1, 1)
CppScriptMgr:WaitMilSec(540)
local Effect_4 = CppScriptMgr:AddEffect("CSGX_jin", 439, 664, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("FF02", 436, 668, 33, 1, 1, 1)
Effect_5:Scale(1, 1, 1)
CppScriptMgr:WaitMilSec(1220)
local effect_1 = CppScriptMgr:AddEffect("FF07_1", 434, 657, 33, 1, 1, 1)
effect_1:Scale(1, 1, 1)
CppScriptMgr:WaitMilSec(1940)